getCloudCacheManualBackupList

Prev Next

Available in VPC

Get the Cloud DB for Cache manual backup list.

Note

Cloud DB for Cache API offers two versions based on the supported DBMS range.

  • getCloudCacheManualBackupList API: Support for Valkey and Redis DBMS
  • getCloudRedisManualBackupList API: Support for Redis DBMS

getCloudCacheManualBackupList API

This section describes the request and response formats for the getCloudCacheManualBackupList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /getCloudCacheManualBackupList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the manual backup list to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheManualBackupList
?regionCode=KR'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}' 
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudCacheBackupList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
      "getCloudCacheManualBackupListResponse": {
        "requestId": "7add8ece-0259-467d-bdc7-de214f51c93d",
        "returnCode": "0",
        "returnMessage": "success",
        "totalRows": 1,
        "cloudCacheBackupList": [
          {
            "cloudCacheInstanceNo": "2360***",
            "cloudCacheServiceName": "cxcs***",
            "backupTime": "14:10",
            "backupSize": 906,
            "lastBackupDate": "2022-05-18T00:00:00+0900",
            "backupType": {
              "code": "CLUSTER",
              "codeName": "CLOUD CACHE(VPC) Cluster Backup Type"
            },
            "shardCount": 3
          }
        ]
      }
    }
    
  • If responseFormatType=xml (default)

    
    <getCloudCacheManualBackupListResponse>
        <requestId>428ce123-d4cf-4805-8810-f243d5c6f65f</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudCacheBackupList>
            <cloudCacheBackup>
                <cloudCacheInstanceNo>2360***</cloudCacheInstanceNo>
                <cloudCacheServiceName>cxcs***</cloudCacheServiceName>
                <backupTime>16:25</backupTime>
                <backupSize>302</backupSize>
                <lastBackupDate>2022-05-16T00:00:00+0900</lastBackupDate>
                <backupType>
                    <code>CLUSTER</code>
                    <codeName>CLOUD CACHE(VPC) Cluster Backup Type</codeName>
                </backupType>
                <shardCount>3</shardCount>
            </cloudCacheBackup>
        </cloudCacheBackupList>
    </getCloudCacheManualBackupListResponse>
    

getCloudRedisManualBackupList API

This section describes the request and response formats for the getCloudRedisManualBackupList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vredis/v2/getCloudRedisManualBackupList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the manual backup list to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisManualBackupList
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudRedisBackupList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudRedisManualBackupListResponse": {
            "totalRows": 1,
            "cloudRedisBackupList": [
                {
                    "cloudRedisInstanceNo": "****511",
                    "cloudRedisServiceName": "test-****",
                    "backupTime": "11:58",
                    "backupSize": 525,
                    "lastBackupDate": "2024-07-02T00:00:00+0900",
                    "backupType": {
                        "code": "CLUSTER",
                        "codeName": "CLOUD REDIS(VPC) Cluster Backup Type"
                    },
                    "shardCount": 3
                }
            ],
            "requestId": "2be6d7ae-****-****-****-26487a0c19af",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudRedisManualBackupListResponse>
        <requestId>2be6d7ae-****-****-****-26487a0c19af</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudRedisBackupList>
            <cloudRedisBackup>
                <cloudRedisInstanceNo>****511</cloudRedisInstanceNo>
                <cloudRedisServiceName>test-****</cloudRedisServiceName>
                <backupTime>11:58</backupTime>
                <backupSize>525</backupSize>
                <lastBackupDate>2024-07-02T00:00:00+0900</lastBackupDate>
                <backupType>
                    <code>CLUSTER</code>
                    <codeName>CLOUD REDIS(VPC) Cluster Backup Type</codeName>
                </backupType>
                <shardCount>3</shardCount>
            </cloudRedisBackup>
        </cloudRedisBackupList>
    </getCloudRedisManualBackupListResponse>